Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 201439 - Clicking gmenu-simple-editor on gnome panel menu applet, gnome-panel crashes.
Summary: Clicking gmenu-simple-editor on gnome panel menu applet, gnome-panel crashes.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-panel
Version: rawhide
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-08-05 12:17 UTC by sangu
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-07 15:40:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 350298 None None None Never

Description sangu 2006-08-05 12:17:30 UTC
Description of problem:
Clicking gmenu-simple-editor on gnome panel menu applet, gnome-panel crashes.

(gdb) bt
#0  0xb7f73402 in __kernel_vsyscall ()
#1  0x05e1ce5e in __lll_mutex_lock_wait () from /lib/libc.so.6
#2  0x05daf028 in _L_lock_43 () from /lib/libc.so.6
#3  0x05da8ecd in ptmalloc_lock_all () from /lib/libc.so.6
#4  0x05dd25c0 in fork () from /lib/libc.so.6
#5  0x00b81c00 in fork () from /lib/libpthread.so.0
#6  0x00162d42 in libgnomeui_segv_handle (signum=6) at gnome-ui-init.c:844
#7  <signal handler called>
#8  0xb7f73402 in __kernel_vsyscall ()
#9  0x05d6fd39 in raise () from /lib/libc.so.6
#10 0x05d71391 in abort () from /lib/libc.so.6
#11 0x05da409b in __libc_message () from /lib/libc.so.6
#12 0x05dab5b7 in _int_free () from /lib/libc.so.6
#13 0x05daeaac in free () from /lib/libc.so.6
#14 0x00aee5f1 in IA__g_free (mem=0x86c7590) at gmem.c:187
#15 0x00ad8ac9 in IA__g_error_free (error=0x86c87d8) at gerror.c:125
#16 0x08088f3b in panel_menu_bar_invoke_menu (menubar=0x858f810, 
    callback_name=0x85b3db0 "edit") at panel-menu-bar.c:483
#17 0x00621139 in IA__g_cclosure_marshal_VOID__VOID (closure=0x86787f8, 
    return_value=0x0, n_param_values=1, param_values=0xbff61dec, 
    invocation_hint=0xbff61cfc, marshal_data=0x8071f70) at gmarshal.c:77
#18 0x00613f0b in IA__g_closure_invoke (closure=0x86787f8, return_value=0x0, 
    n_param_values=1, param_values=0xbff61dec, invocation_hint=0xbff61cfc)
---Type <return> to continue, or q <return> to quit---
    at gclosure.c:490
#19 0x00624d73 in signal_emit_unlocked_R (node=0x858e120, detail=0, 
    instance=0x86ac508, emission_return=0x0, instance_and_params=0xbff61dec)
    at gsignal.c:2438
#20 0x0062626f in IA__g_signal_emit_valist (instance=0x86ac508, signal_id=154, 
    detail=0, var_args=0xbff6202c "�-\212") at gsignal.c:2197
#21 0x00626429 in IA__g_signal_emit (instance=0x86ac508, signal_id=154, 
    detail=0) at gsignal.c:2241
#22 0x008a2e54 in IA__gtk_widget_activate (widget=0x86ac508)
    at gtkwidget.c:3932
#23 0x007985a8 in IA__gtk_menu_shell_activate_item (menu_shell=0x8623178, 
    menu_item=0x86ac508, force_deactivate=1) at gtkmenushell.c:1024
#24 0x00799b72 in gtk_menu_shell_button_release (widget=0x8623178, 
    event=0x86254a0) at gtkmenushell.c:630
#25 0x00791745 in gtk_menu_button_release (widget=0x8623178, event=0x86254a0)
    at gtkmenu.c:2619
#26 0x0078b8a0 in _gtk_marshal_BOOLEAN__BOXED (closure=0x8490b00, 
    return_value=0xbff62220, n_param_values=2, param_values=0xbff622fc, 
    invocation_hint=0xbff6220c, marshal_data=0x7916a0) at gtkmarshalers.c:83
#27 0x006126f9 in g_type_class_meta_marshal (closure=0x8490b00, 
    return_value=0xbff62220, n_param_values=2, param_values=0xbff622fc, 
    invocation_hint=0xbff6220c, marshal_data=0xb4) at gclosure.c:567
#28 0x00613f0b in IA__g_closure_invoke (closure=0x8490b00, 
---Type <return> to continue, or q <return> to quit---
    return_value=0xbff62220, n_param_values=2, param_values=0xbff622fc, 
    invocation_hint=0xbff6220c) at gclosure.c:490
#29 0x006253c3 in signal_emit_unlocked_R (node=0x8492420, detail=0, 
    instance=0x8623178, emission_return=0xbff624bc, 
    instance_and_params=0xbff622fc) at gsignal.c:2476
#30 0x00626037 in IA__g_signal_emit_valist (instance=0x8623178, signal_id=44, 
    detail=0, var_args=0xbff62540 "X%���Tb\bx1b\bO/\212") at gsignal.c:2207
#31 0x00626429 in IA__g_signal_emit (instance=0x8623178, signal_id=44, 
    detail=0) at gsignal.c:2241
#32 0x0089eaa8 in gtk_widget_event_internal (widget=0x8623178, event=0x86254a0)
    at gtkwidget.c:3901
#33 0x00784d43 in IA__gtk_propagate_event (widget=0x8623178, event=0x86254a0)
    at gtkmain.c:2187
#34 0x00785f47 in IA__gtk_main_do_event (event=0x86254a0) at gtkmain.c:1421
#35 0x005520fa in gdk_event_dispatch (source=0x847c1f0, callback=0, 
    user_data=0x0) at gdkevents-x11.c:2320
#36 0x00ae7342 in IA__g_main_context_dispatch (context=0x847c238)
    at gmain.c:2043
#37 0x00aea31f in g_main_context_iterate (context=0x847c238, block=1, 
    dispatch=1, self=0x845cdf8) at gmain.c:2675
#38 0x00aea6c9 in IA__g_main_loop_run (loop=0x856ba90) at gmain.c:2879
#39 0x007863c4 in IA__gtk_main () at gtkmain.c:1000
#40 0x08060807 in main (argc=5, argv=0xbff62844) at main.c:94


Version-Release number of selected component (if applicable):
2.15.90-1.fc6

How reproducible:
always

Steps to Reproduce:
1. click menu edit on gnome-panel menu applet
2.
3.
  
Actual results:


Expected results:


Additional info:
gnome-menus-2.15.90-1.fc6

Comment 1 Ray Strode [halfline] 2006-08-07 15:40:34 UTC
thanks, should be fixed in tomorrow's rawhide.


Note You need to log in before you can comment on or make changes to this bug.